AOZ Studio Beta - Bug #79

Val function only converts integer portion of string.
01/25/2020 01:35 AM - Anonymous

Status: Closed Start date: 01/25/2020
Priority: Normal Due date:

Assignee: Brian Flanagan % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.4

Affected version: 0.9.8.1

Description

Example: (all return integers)

X$="1234.56"

Y$="-234.56"

Print Val (X$), Val(Y$) ' Should print: 1234.56 -234.56
Vx=Val (X$) : Vx#=Val (X$)

Print Vx,Vx# ' Should print 1234 1234.56
Vy=Val (Y$) :Vy#=Val (Y$)

Print Vy,Vy# ' Should print -234 -234.56

History

#1 - 01/25/2020 01:37 AM - Brian Flanagan

Oops! Forgot to login again: Brian Flanagan

#2 - 01/27/2020 08:42 PM - Baptiste Pillot
- Description updated

- Assignee set to Francois Lionet

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/449
® run : https://www.amos2.fr/run/tickleman/79/

e output :
1234 -234
1234 1234
-234 -234
e expected :

1234.56 -234
1234 1234.56
-234 -234.56

#3 - 02/03/2020 06:14 PM - Francois Lionet
- File Annotation 2020-02-03 191342.png added
- Status changed from New to Resolved

- Target version set to 0.9.4

Corrected!

#4 - 02/28/2020 03:28 PM - Brian Flanagan

- Status changed from Resolved to Feedback

Tested in 0.9.5.1 Partially working.
The third example works wrong with integers.

It is rounding instead of taking the integer portion.
https://www.amos2.fr/ide/Amos2/Ide/Program/449
https://www.amos2.fr/run/tickleman/79/

It should return -234 vs. -235

#5 - 04/19/2020 10:58 PM - Brian Flanagan
- Affected version changed from 0.9.3.1 to 0.9.8.1

re-tested in 0.9.8.1 Example 3 still fails.
First value should be an integer, but was rounded up.

Example 3:

X$="1234.56"

Y$="-234.56"

Vy=Val (Y$) :Vy#=Val (YS)

Print Vy,Vy# ' Should print -234 -234.56

Result should be:

-234 -234.56
Instead, | get:
-235 -234.56

#6 - 09/05/2020 02:15 PM - Brian Flanagan
- Status changed from Feedback to In Progress

- Assignee changed from Francois Lionet to Brian Flanagan

| know what needs to change for the one remaining function that is failing.
Vy=Val(Y$) is being converted to an integer using floor(). That's Ok for positive numbers only.

Negative numbers should use ceil() instead.

#7 - 09/07/2020 08:21 AM - Brian Flanagan

- Status changed from In Progress to Resolved

Fixed the last part of this that wasn't working.
Corrected this same issue in several places in the code.

#8 - 10/04/2020 12:06 PM - Brian Flanagan

- Status changed from Resolved to Closed

Working in Beta RC3!

Files

Annotation 2020-02-03 191342.png 8.38 KB 02/03/2020

04/10/2024

Francois Lionet

22


http://www.tcpdf.org

